Update API key

PUT
/api/v1/api-key/{id}

Update an existing API key.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the API key to update.

Formatuuid

Request Body

application/json

The updated API key details; name and description.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/api-key/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
"string"